/*
	ExitCmd.cc

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/
                                                   
#include "OpResources.h"
#include "ExitCmd.h"
#include "AppWindow.h"
#include "DeletePakCmd.h"

#define EXITQUESTION "Really quit Mixwave?"


ExitCmd::ExitCmd ( const char *name, int active ) : QuitCmd ( name, active )
{
	setQuestion ( EXITQUESTION );
}

void ExitCmd::doCommand()
{
	Cmd *deletePak = new DeletePakCmd ( "DeleteAll", TRUE );
	deletePak->execute();
	delete deletePak;
	// deleted pak contents, now remove the paks...
	wavePak->Release();	// delete list of wavePak structures
	delete wavePak;
	templatePak->Release();	// delete list of templatePak structures
	delete templatePak;
	mixPak->Release();		// delete list of mixPak structures
	delete mixPak;
	delete mixwaveResources;
	QuitCmd::doCommand();
}
