/*
 NoUndoCmd.cc - base class for commands without undo

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#include "NoUndoCmd.h"

#define FALSE 0

NoUndoCmd::NoUndoCmd ( const char *name, int active ) : Cmd ( name, active )
{
	_hasUndo = FALSE;	// derived classes have no undo
}

void NoUndoCmd::undoCommand()
{
	// empty
}
