/*
 WarnNoUndoCmd.cc

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#include "WarnNoUndoCmd.h"

#define DEFAULTWARNING "This command cannot be undone. Proceed regardless?"
#define _FALSE 0;


WarnNoUndoCmd::WarnNoUndoCmd ( const char *name, int active ) : Confirm ( name, active )
{
	_hasUndo = _FALSE;
	setQuestion ( DEFAULTWARNING );
}

void WarnNoUndoCmd::undoCommand()
{
	// empty
}
